Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1198 - segfault on iso-8559 chars
Summary: segfault on iso-8559 chars
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: tripwire
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-16 15:23 UTC by andrew
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-13 00:40:30 UTC


Attachments (Terms of Use)

Description andrew 1999-02-16 15:23:18 UTC
When scanning directories, tripwire segfaults on files with
"international" characters. For instance,

/usr/lib/linuxconf/images/Kylld.gif
/usr/lib/linuxconf/images/Hyvdksy.gif
/usr/lib/linuxconf/images/Lisdtd.gif
/usr/lib/linuxconf/images/Tehtdvdt.gif
/usr/lib/linuxconf/images/Yhdistd.gif

(where the 'd' is '\344') cause this problem.

Actually, these 5 files were the only ones on my
system which caused a problem...

Comment 1 Tim Powers 1999-08-28 17:05:59 UTC
try out the new tripwire to see if the problem still exists. It is
located at ftp://rawhide.redhat.com/rawhide/powertools . Please let me
know if you still experience problems with the newer version.


Note You need to log in before you can comment on or make changes to this bug.